%define		migemover	0.40

%define		emacsver	21.4
%define		xemacsver	21.4
%define		e_sitedir	%{_datadir}/emacs/site-lisp
%define		xe_sitedir	%{_datadir}/xemacs/site-lisp
%define		rubyabi		1.9.1

Name:		migemo
Version:	%{migemover}
Release:	26%{?dist}
Summary:	Japanese incremental search tool
Group:		Applications/Text
License:	GPLv2
URL:		http://0xcc.net/migemo/
Source0:	http://0xcc.net/migemo/%{name}-%{version}.tar.gz
# patch taken and modified from http://d.hatena.ne.jp/yshl/20090814/1250197679
Patch0:		migemo-ruby-1.9.patch
# See bug 830559
Patch1:		migemo-0.40-bz830559.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

%if 0%{?fedora} >= 19
Requires:	ruby(release)
BuildRequires:	ruby(release)
%else
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby 
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby 
%endif
BuildRequires:	ruby
BuildRequires:	ruby-devel

BuildRequires:	ruby(romkan)
BuildRequires:	ruby(bsearch)
BuildRequires:	emacs >= %{emacsver}
BuildRequires:	xemacs >= %{xemacsver}
Requires:	ruby(romkan)
Requires:	ruby(bsearch)

%description
Ruby/Migemo is a tool for Japanese incremental search.

%package	emacs
Group:		Applications/Editors
Summary:	Emacs front-end of Migemo
Requires:	%{name} = %{version}-%{release}
Requires:	emacs(bin) >= %{emacsver}
Requires:	apel

%description	emacs
%{summary}.

%package	xemacs
Group:		Applications/Editors
Summary:	XEmacs front-end of Migemo
Requires:	%{name} = %{version}-%{release}
Requires:	xemacs(bin) >= %{emacsver}
Requires:	apel

%description	xemacs
%{summary}.

%prep
%setup -q
%patch0 -p1
sed -i '18d' migemo-convert.rb # patching is failing probably because of the special chars, so do this by sed
%patch1 -p1

%build
%configure \
	--with-rubydir=%{ruby_vendorlibdir}
%{__make} %{?_smp_mflags} migemo.elc

%install
%{__rm} -rf $RPM_BUILD_ROOT
export LANG=ja_JP.eucJP
%{__make} INSTALL="%{__install} -c -p" DESTDIR=$RPM_BUILD_ROOT install

# For xemacs
%{__rm} -f migemo.elc
%configure \
	--with-rubydir=%{ruby_sitelib} \
	--with-emacs=xemacs \
	--with-lispdir=%{xe_sitedir}
%{__make} INSTALL="%{__install} -c -p" DESTDIR=%{buildroot} install-lispLISP

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%check
export LANG=ja_JP.eucJP
cd tests
for f in *.sh ; do \
	sh ./$f || :
done

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README

%{_bindir}/migemo*
%{_datadir}/migemo/
%{ruby_vendorlibdir}/migemo*

%files	emacs
%defattr(-,root,root,-)
%{e_sitedir}/migemo.el*

%files	xemacs
%defattr(-,root,root,-)
%{xe_sitedir}/migemo.el*

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.40-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.40-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.40-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov  7 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.40-22
- Limit emacs / xemacs Requires to emacs(bin) or so (bug 1154495)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 20 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.40-19
- F-19: rebuild for ruby 2.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.40-16
- Fix crash on migemo-dict.rb with actual use (bug 830559)

* Fri Mar 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.40-15
- Rebuilt and patched for Ruby 1.9.3.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.40-13
- Change %%SUMMARY to %%summary so that the macro is expanded

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-11
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-10
- Explicitly add the leading path for scripts under current path
  for bash 4.0 change

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-9.dist.1
- License update

* Thu Apr 26 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-9
- Specify Ruby abi

* Thu Apr 12 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-8
- Rewrite

* Sun Apr 08 2007 Minokichi Sato <m-sato@rc.kyushu-u.ac.jp>
- First build for Fedora Core 6

* Thu Feb 22 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40-7m)
- add dependencies on apel

* Tue Jun 28 2005 Toru Hoshina <t@momonga-linux.org>
- (0.40-6m)
- /usr/lib/ruby

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.40-5m)
- enable x86_64.
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Thu Nov 25 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.40-4m)
- rebuild against emacs-21.3.50 (nen no tame...)

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (0.40-3m)
- revised spec for enabling rpm 4.2.

* Tue Aug  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.40-2m)
- rebuild against ruby-1.8

* Fri May 30 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.40-1m)
- update 0.40

* Sat Sep  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.32-2k)
- Obsoletes: jrsearch-emacs
- divide into migemo, migemo-emacs, and migemo-xemacs packages
